claw::wrapped_iterator_by_category< Category, Value, Iterator, Function > Class Template Reference

Base class for wrapped iterators. More...

`#include <iterator.hpp>`

## Detailed Description

template<typename Category, typename Value, typename Iterator, typename Function>
class claw::wrapped_iterator_by_category< Category, Value, Iterator, Function >

Base class for wrapped iterators.

Author
  Julien Jorge

Definition at line 45 of file iterator.hpp.

The documentation for this class was generated from the following file:

- iterator.hpp